﻿#!/bin/bash
# 
# ---------------------------------------------------------------- #
# Script Name:   creat_dir_daily_log_hbmon_fdbr.sh
# Description:   Cria pasta mensal, renomeia para data+hblink.log
#				 Guarda na pasta mensal
# Site:          
# Linkedin:      
# Written by:    Sérgio M. S. Saez
# Maintenance:   Sérgio M. S. Saez
# ---------------------------------------------------------------- #
# Usage:         
#       $ ./creat_dir_daily_log_hbmon_fdbr.sh    ou,
#				
# Acrescentar a linha de automatização no cron
#
#  00 00 * * root /creat_dir_daily_log_hbmon_fdbr.sh
# 
# ---------------------------------------------------------------- #
# Bash Version:  
#              Bash 4.4.19
# -----------------------------------------------------------------# 
# History:       v1.0 30/01/2022, Saez
#
# -----------------------------------------------------------------#
# Thankfulness:
#
# -----------------------------------------------------------------#
# 
clear &&
echo -------------------------   Criando o diretório do mês   ------------------------------------
echo
cd /var/log/freedmr &&
if [ ! -d "HBMonitor_$(date +%B)" ]
then
mkdir ./HBMonitor_$(date +%B) &&
echo
echo ---------------------  Diretório HBMonitor_$(date +%B) Criado  ---------------------------------
echo
else
echo
echo -------------------  Diretório HBMonitor_$(date +%B) já existe  --------------------------------
echo
fi
sleep 1
if [ ! -d "FreeDMR_$(date +%B)" ]
then
mkdir ./FreeDMR_$(date +%B) &&
echo
echo ---------------------  Diretório FreeDMR_$(date +%B) Criado  -----------------------------------
echo
else
echo
echo -------------------  Diretório FreeDMR_$(date +%B) já existe  ----------------------------------
echo
fi
#
echo
echo -----------------  Para o Docker/FreeDMR para manipular os arquivos   ---------------------------
echo
cd /etc/freedmr &&
docker-compose down &&
#
cd /var/log/freedmr &&
echo
echo ---------------   Log FreeDMR armazenado como $(date +%d%m%Y)_freedmr.log   ----------------------
echo
mv freedmr.log /var/log/freedmr/FreeDMR_$(date +%B)/$(date +%d%m%Y)_freedmr.log &&
touch freedmr.log &&
chown 54000:54000 freedmr.log &&
echo
echo ---------------  Log HBMonitor armazenado como $(date +%d%m%Y)_hbmon.log  ------------------------
echo
mv hbmon.log /var/log/freedmr/HBMonitor_$(date +%B)/$(date +%d%m%Y)_hbmon.log &&
touch hbmon.log &&
#
echo
echo --------------   Atualiza o FreeDMR se houverem atualizações disponíveis --------------------------
echo
cd /root &&
./update_freedmr.sh &&
#
echo
echo ---------------------   Restabelece o serviço do HBMonitor -----------------------------------
echo
systemctl restart hbmon.service &&
systemctl status hbmon.service
echo
echo ----------   Atualizações executadas, Logs armazenados e serviços reativados   --------------------
echo
exit 1
#